Subject: Re: bug#6956: 24.0.50; pasting mouse selection in other session pastes only first word

From: Eli Zaretskii <[email-masked]>
Date: Thu, 16 Sep 2010 22:02:23 +0200

> From: "Drew Adams" <[email-masked]>
> Date: Tue, 31 Aug 2010 09:48:44 -0700
> Cc: 
> 
> Dunno whether you prefer a new bug report for this or continuing the
> saga within a previous bug report.  This is no longer about "No
> primary selection", but picking up from the thread of bug #6689, for
> background:
>  
> > > > I still want the ability to select text with the mouse 
> > > > and yank it into the same or another Emacs session
> > > > (even another session of another Emacs release -
> > > > in either direction).
> > > 
> > > You can have it, if you customize mouse-drag-copy-region to 
> > > t, like it was before the changes that broke mouse-2 on Windows.
> > 
> > Thanks for the info.  Hopefully, when all of the changes are 
> > over and done with, and all of the default decisions made, 
> > this and any other customizations needed to get back the 
> > previous behavior will be documented together (e.g. in NEWS).
> > 
> > BTW, the doc string for that option doesn't say much about 
> > what it does, at least to me.  And the option name doesn't 
> > seem terrific either.
>  
> Have you actually tried it?  No, it does not work, for me at
> least in GNU Emacs 24.0.50.1 (i386-mingw-nt5.1.2600) of
> 2010-08-30 on 3249CTO.
>  
> Even if I set that option to t in both Emacs sessions (and even if both
> sessions are of this latest build), the entire selection is not pasted.
>  
> For each session:
>  
> emacs -Q
>  
> M-x set-variable mouse-drag-copy-region RET t RET
>  
> Select some text (several words) with the mouse using double-click
> mouse-1 on one word then mouse-3 on a later word in the text.
>  
> mouse-2 in the same session will correctly paste the complete selection.
> But mouse-2 in the other session pastes only the first word of the
> selection.

Can this bug be closed now?  If not, what else needs to be fixed?